@import url('https://fonts.googleapis.com/css?family=Roboto&display=swap');

html, body
{
	height: 100%;
}

body
{
	background: #FFFFFF;
	font-size: 15px;
	font-family: 'Roboto', sans-serif;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
	color: #000000;
}

a
{
	color: #000000;
	text-decoration: none;
}

a:hover
{
	text-decoration: underline;
}

ul
{
	list-style-type: none;
	padding: 0;
	margin: 0;
}

h1,
#subpage
{
	padding: 30px;
}

h1
{
	font-size: 2em;
	line-height: 1.5em;
	margin: 0;
	text-transform: uppercase;
}

h1 span
{
	display: block;
}

h2
{
	text-transform: uppercase;
	font-size: 1.25em;
	margin: 0;
	margin-bottom: 2em;
}

p
{
  text-align: justify;
  line-height: 1.5;
}

p:last-of-type
{
  padding-bottom: 20px;
}

#header ul
{
	display: none;
	width: 100%;
	text-align: center;
	font-weight: bold;
	text-transform: uppercase;
	font-size: 1.5em;
}

#header li
{
	padding: 1em;
}

#img
{
	height: 100%;
}

#img
{
	margin: 30px;
	background: url(bg.jpg);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center center;
}

#subpage
{
	display: none;
	padding-top: 0;
}

#diskographie
{
	margin-bottom: 30px;
}

#diskographie h3
{
 text-transform: uppercase; 
}

#diskographie p
{
  margin: 0;
  margin-bottom: 5px;
}

#diskographie h3 span:hover,
#diskographie h3 span:first-of-type
{
  cursor: pointer;
  text-decoration: underline;
}

#diskographie h3 span:hover
{
  text-decoration: underline !important;
}

#diskographie ul.performance
{
  display: none;
}

#diskographie ul
{
	max-width: 300px;
	height: 100%;
}

#diskographie ul li
{
	margin: 1em 0;
	position: relative;
	background: black;
}

#diskographie ul li img
{
	width: 100%;
}

#diskographie ul li span
{
	width: 100%;
	text-transform: uppercase;
}

#diskographie ul li img
{
	display: block;
}

#diskographie ul li img,
#diskographie ul li span
{
	transition: opacity 0.5s;
}

#diskographie ul li span,
#diskographie ul li:hover img
{
	opacity: 0;
}

#diskographie ul li:hover span
{
	opacity: 1;
}

#diskographie ul li span
{
	position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
	text-align: center;
	color: white;
}

#equipment #bg_studio
{
  
}

#equipment #bg_studio img
{
  max-width: 100%;
}

#equipment li
{
	font-weight: bold;
	text-transform: uppercase;
	font-size: 1em;
	margin: 0;
	margin-bottom: 1em;
}

#equipment ul ul
{
	padding-left: 18px;
	list-style-type: square;
	margin-bottom: 2em;
}

#equipment ul ul li
{
	font-weight: normal;
	margin-bottom: 0.5em;
	text-transform: none;
}

#bg_studio a,
#kontakt a
{
  text-decoration: underline;
}

#bg_studio a:hover,
#kontakt a:hover
{
  text-decoration: none;
}

#kontakt img
{
  max-width: 100%;
}

#kontakt h3
{
  margin-top: 30px;
}

#kontakt label,
#kontakt input,
#kontakt textarea
{
	font-family: 'Roboto', sans-serif;
	display: block;
}

#kontakt label
{
	margin: 0.5em 0em;
	text-transform: uppercase;
	font-size: 0.8em;
}

#kontakt input,
#kontakt textarea
{
  border: 1px solid black;
	box-sizing: border-box;
	width: 100%;
	padding: 0.5em;
	font-size: 1em;
	margin-bottom: 2em;
	margin-right: 30px;
}

#kontakt textarea
{
	resize: none;
	height: 100px;
}

#kontakt input[type="submit"]
{
	text-transform: uppercase;
	border: 1px solid black;
	background: #777;
	color: white;
	padding: 1em;
	cursor: pointer;
}

#kontakt input[type="submit"]:hover
{
	background: #333;
}

#trigger_menu
{
	cursor: pointer;
	position: absolute;
	top: 0;
	right: 0;
	margin: 1em;
	font-size: 2em;
}

#show_menu:checked ~ #header
{
	height: 100%;
}

#show_menu:checked ~ #header
{
	display: flex;
	justify-content: center;
	flex-direction: column;
}

#disco_switch:checked ~ h3 span:first-of-type
{
  text-decoration: none;
}


#disco_switch:checked ~ h3 span:last-of-type
{
  text-decoration: underline;
}

#disco_switch:checked ~ ul li:hover span
{
  opacity: 0;
}

#disco_switch:checked ~ ul li:hover img
{
  opacity: 1;
}

body.subpage #img,
#show_menu,
#show_menu:checked ~ #header h1,
#show_menu:checked ~ #subpage,
#show_menu:checked ~ #img,
#disco_switch,
#disco_switch:checked ~ ul.engineer
{
	display: none;
}

body.subpage #subpage,
#show_menu:checked ~ #header ul,
#show_menu:checked ~ #trigger_menu,
#disco_switch:checked ~ ul.performance
{
	display: block;
}